ClientCookie

John J. Lee jjl at pobox.com
Thu Aug 12 21:42:33 CEST 2004


fuzzyman at gmail.com (Michael Foord) writes:
[...]
> The program I'm writing is a CGI. I'd like to have *minimum*
> dependencies.
> The version of Python on the server is 2.2 (I have no control over
> that) and having a dependence on CookieClient is enough for me. I
> think I can only use BSDDBCookieJar if the server has the Berkely
> Database installed ?

Yes.


> I'd like other people to be able to use my CGI on
> a basic Python 2.2 install - so even if I have it on my server, I
> don't want to be dependent on it.
[...]

The BSDDB-wrapper is a fairly standard Python std. lib. module for
unix machines.  I don't know what small-scale commercial CGI hosting
companies offer ATM, though.


John



More information about the Python-list mailing list